List deep research jobs
curl --request GET \
--url https://api.messari.io/ai/v1/deep-research \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/ai/v1/deep-research"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/ai/v1/deep-research', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created_at": 123,
"job_id": "aSDinaTvuI8gbWludGxpZnk=",
"model": "<string>",
"object": "<string>",
"query": "<string>",
"status": "<string>"
}
]
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}Deep Research
List Deep Research Jobs
Returns a paginated list of deep research jobs for the authenticated user.
GET
/
ai
/
v1
/
deep-research
List deep research jobs
Authorizations
Query Parameters
Maximum number of jobs to return (default 20, max 100)
Number of jobs to skip for pagination
Filter jobs by status: queued, in_progress, completed, failed, cancelled
Response
Default response
List of deep research jobs
Show child attributes
Show child attributes
⌘I

